terraform {
  required_providers {
    akamai = {
      source  = "akamai/akamai"
      version = "5.2.0"
    }
  }
}

provider "akamai" {
    edgerc = "~/.edgerc"
    config_section = "default"
}
data "akamai_contracts" "AkaULab_Contracts" {

}

output "AkaULabContracts" {
    value = data.akamai_contracts.AkaULab_Contracts
}

locals {
  contract_id = data.akamai_contracts.AkaULab_Contracts.contracts[0].contract_id
  group_id = data.akamai_group.AkUTerraformLabs.id
  cp_code_id = data.akamai_cp_code.TerraformLabs_CPCode.id
  cp_code_name = data.akamai_cp_code.TerraformLabs_CPCode.name
  product_id = data.akamai_property_products.AkaU_Products.products[2].product_id
}

data "akamai_group" "AkUTerraformLabs"{
    group_name = "AkaU Terraform Labs"
    contract_id = local.contract_id
}

output "AkaUTerraformLabs_groupId"{
    value = data.akamai_group.AkUTerraformLabs.id
}    

data "akamai_cp_code" "TerraformLabs_CPCode" {
     name = "TerraformLabs"
     group_id = local.group_id
     contract_id = local.contract_id
}

output "TerraformLabs_CPCode"{
        value = data.akamai_cp_code.TerraformLabs_CPCode
}

data "akamai_property_products" "AkaU_Products" {
    contract_id = local.contract_id
}

output "AkaU_Products" {
  value = data.akamai_property_products.AkaU_Products
}

data "akamai_cps_enrollments" "AkaULab_Enrollments" {
  contract_id = replace(local.contract_id, "ctr_", "")
}

output "AkaULab_Enrollments" {
  value = data.akamai_cps_enrollments.AkaULab_Enrollments
}