resource "akamai_appsec_match_target" "website_match_target" {
  config_id = akamai_appsec_configuration.config.config_id
  match_target = jsonencode(
    {
      "defaultFile" : "NO_MATCH",
      "filePaths" : [
        "/*"
      ],
      "hostnames" : "${var.host_names}",
      "isNegativeFileExtensionMatch" : false,
      "isNegativePathMatch" : false,
      "securityPolicy" : {
        "policyId" : akamai_appsec_security_policy.security_policy.security_policy_id
      },
      "sequence" : 0,
      "type" : "website"
    }
  )
}

output "match_target_id" {
  value = akamai_appsec_match_target.website_match_target.match_target_id
}